Loading...
Searching...
No Matches
DSRGraphicData3DItem Class Reference

Class for graphic data (3D) items. More...

## Public Member Functions

| DSRGraphicData3DItem (const Float32 x=0, const Float32 y=0, const Float32 z=0)
| (default) constructor
OFBool | isEqual (const DSRGraphicData3DItem &item) const
| check whether items are "equal"
OFBool | isNotEqual (const DSRGraphicData3DItem &item) const
| check whether items are "not equal"

## Public Attributes

Float32 | XCoord
| x value (VR=FL)
Float32 | YCoord
| y value (VR=FL)
Float32 | ZCoord
| z value (VR=FL)

## Detailed Description

Class for graphic data (3D) items.

## Constructor & Destructor Documentation

## DSRGraphicData3DItem()

DSRGraphicData3DItem::DSRGraphicData3DItem | ( | const Float32 | x = 0,
|  | const Float32 | y = 0,
|  | const Float32 | z = 0 )

inline

(default) constructor

Parameters

  x | optional x value
  y | optional y value
  z | optional z value

References XCoord, YCoord, and ZCoord.

Referenced by isEqual(), and isNotEqual().

## Member Function Documentation

## isEqual()

OFBool DSRGraphicData3DItem::isEqual | ( | const DSRGraphicData3DItem & | item | ) | const

inline

check whether items are "equal"

Parameters

  item | item with which the (x,y,z) triplet should be compared

Returns
  OFTrue if both triplets are equal, OFFalse otherwise

References DSRGraphicData3DItem(), XCoord, YCoord, and ZCoord.

## isNotEqual()

OFBool DSRGraphicData3DItem::isNotEqual | ( | const DSRGraphicData3DItem & | item | ) | const

inline

check whether items are "not equal"

Parameters

  item | item with which the (x,y,z) triplet should be compared

Returns
  OFTrue if not equal, OFFalse if equal

References DSRGraphicData3DItem(), XCoord, YCoord, and ZCoord.

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrsc3gr.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0